# Contributing
**Collections** is open source package. 
So all contributions from the community are welcome. 
Before please take some time to read these file before contributing.

## Standards

- Basic Coding Standard [PSR-1](http://www.php-fig.org/psr/psr-1/)
- Coding Style Guide [PSR-2](http://www.php-fig.org/psr/psr-2/)
- Autoloader [PSR-4](http://www.php-fig.org/psr/psr-4/)

## Branching and pull requests
Based on [Git Flow](http://nvie.com/posts/a-successful-git-branching-model/).
As a guideline, please follow this process:

1. [Fork the repository](https://help.github.com/articles/fork-a-repo).
2. Create your working branch:
 - New features should branch from **develop**.
 - Bug fixes to existing versions should branch from **master**. Prefix `hotfix-` on branch name.
3. Apply your changes.
4. Submit a pull request:
 - to the **develop** branch for features
 - to the **master** branch for hot fixes
 - clearly describe your changes in sections *Features* and *Bug Fixes*.
